App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
mhr.app.fragments.toolbox.PointOperationToolSettingsFragment Class Reference

Fragment nastavení nástrojů pro bodové operace. More...

Inheritance diagram for mhr.app.fragments.toolbox.PointOperationToolSettingsFragment:

## Public Member Functions
void | onClick (View v)
void | onAttach (Activity activity)
View | onCreateView (LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
void | onResume ()
void | onPause ()

## Protected Member Functions
View | initView (LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
| Provede inicializaci view.

## Protected Attributes
View | root
AppMainActivity | activity
boolean | firstCreated = true
DisplayerTouchNavigator | navig = null
Button | brightnessBtn
Button | contrastBtn
Button | gammaBtn
Button | curvesBtn

## Detailed Description

Fragment nastavení nástrojů pro bodové operace.

Definition at line 22 of file PointOperationToolSettingsFragment.java.

## Member Function Documentation

View mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.initView | ( | LayoutInflater | inflater,
|  | ViewGroup | container,
|  | Bundle | savedInstanceState
| ) |  |
| inlineprotected

Provede inicializaci view.

Parameters

  inflater |
  container |
  savedInstanceState |

Returns

Definition at line 52 of file PointOperationToolSettingsFragment.java.

{
root = inflater.inflate(R.layout.fragment_point_operation_tool_settings, container, false);
brightnessBtn= (Button) root.findViewById(R.id.PointOperationToolBrightnessBtn);
contrastBtn= (Button) root.findViewById(R.id.PointOperationToolContrastBtn);
gammaBtn= (Button) root.findViewById(R.id.PointOperationToolGammaBtn);
curvesBtn= (Button) root.findViewById(R.id.PointOperationToolCurvesBtn);
brightnessBtn.setOnClickListener(this);
contrastBtn.setOnClickListener(this);
gammaBtn.setOnClickListener(this);
curvesBtn.setOnClickListener(this);
firstCreated = false;
return root;
}

void mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.onAttach | ( | Activity | activity | ) |
| inline

Definition at line 101 of file PointOperationToolSettingsFragment.java.

{
super.onAttach(activity);
/*
* called once the fragment is associated with its activity.
*/
this.activity = (AppMainActivity) activity;
if (navig == null) { // instance bude cachovana
navig = new DisplayerTouchNavigator(this.activity.getBitmapDisplayer(), this.activity);
}
}

void mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.onClick | ( | View | v | ) |
| inline

Definition at line 79 of file PointOperationToolSettingsFragment.java.

{
int id = v.getId();
switch (id) {
case R.id.PointOperationToolBrightnessBtn:
activity.showDialog(new BrightnessPopUpFragment());
break;
case R.id.PointOperationToolContrastBtn:
activity.showDialog(new ContrastPopUpFragment());
break;
case R.id.PointOperationToolGammaBtn:
activity.showDialog(new GammaPopUpFragment());
break;
case R.id.PointOperationToolCurvesBtn:
activity.showDialog(new CurvesPopUpFragment());
break;
}
}

View mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.onCreateView | ( | LayoutInflater | inflater,
|  | ViewGroup | container,
|  | Bundle | savedInstanceState
| ) |  |
| inline

Definition at line 124 of file PointOperationToolSettingsFragment.java.

{
/*
* creates and returns the view hierarchy associated with the fragment.
*
* The system calls this when it's time for the fragment to draw its user interface for the first time. To draw a UI for your fragment, you must return a
* View from this method that is the root of your fragment's layout. You can return null if the fragment does not provide a UI.
*
* Zde začíná životní cyklus při návratu z backstacku
*/
if (firstCreated) {
firstCreated = false;
return initView(inflater, container, savedInstanceState);
} else {
return root;
}
}

void mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.onPause | ( |  | ) |
| inline

Definition at line 175 of file PointOperationToolSettingsFragment.java.

{
super.onPause();
/*
* fragment is no longer interacting with the user either because its activity is being paused or a fragment operation is modifying it in the activity.
*
* The system calls this method as the first indication that the user is leaving the fragment (though it does not always mean the fragment is being destroyed).
* This is usually where you should commit any changes that should be persisted beyond the current user session (because the user might not come back).
*/
activity.dismissDialog();
}

void mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.onResume | ( |  | ) |
| inline

Definition at line 166 of file PointOperationToolSettingsFragment.java.

{
super.onResume();
/*
* makes the fragment interacting with the user (based on its containing activity being resumed).
*/
activity.setCanvasOnTouchListener(navig);
}

## Member Data Documentation

AppMainActivity mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.activity
| protected

Definition at line 31 of file PointOperationToolSettingsFragment.java.

Button mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.brightnessBtn
| protected

Definition at line 36 of file PointOperationToolSettingsFragment.java.

Button mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.contrastBtn
| protected

Definition at line 37 of file PointOperationToolSettingsFragment.java.

Button mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.curvesBtn
| protected

Definition at line 39 of file PointOperationToolSettingsFragment.java.

boolean mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.firstCreated = true
| protected

Definition at line 32 of file PointOperationToolSettingsFragment.java.

Button mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.gammaBtn
| protected

Definition at line 38 of file PointOperationToolSettingsFragment.java.

DisplayerTouchNavigator mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.navig = null
| protected

Definition at line 34 of file PointOperationToolSettingsFragment.java.

View mhr.app.fragments.toolbox.PointOperationToolSettingsFragment.root
| protected

Definition at line 30 of file PointOperationToolSettingsFragment.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/app/src/mhr/app/fragments/toolbox/PointOperationToolSettingsFragment.java